import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  _count: SortOrderSchema.optional()
}).strict();
export const ClaimFileOrderByRelationAggregateInputObjectSchema: z.ZodType<Prisma.ClaimFileOrderByRelationAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ClaimFileOrderByRelationAggregateInput>;
export const ClaimFileOrderByRelationAggregateInputObjectZodSchema = makeSchema();
